On this page

    Other

    Sprites (icon sets)

    GET https://api.maptiler.com/sprites/{spriteId}/sprite{scale}.{format}

    Map icons (sprites) used to display the vector map.

    Request

    Path Parameters

    Parameters Type Description
    spriteId
    string
    Identifier of the sprite.
    scale
    string
    Allowed values: @2x
    format
    string
    Allowed values: png json
    Request example
    
      https://api.maptiler.com/sprites/{spriteId}/sprite.png

    Responses

    Code Content Description
    200 application/json
    200 image/png

    Fonts (glyphs)

    GET https://api.maptiler.com/fonts/{fontstack}/{start}-{end}.pbf

    Generates the glyphs for the requested fonts. Used when displaying vector maps.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    fontstack
    string
    Font name, or more comma-separated names.
    Example: Roboto Medium,Noto Sans Regular
    start
    integer
    Start of the glyph range.
    Example: 0
    Multiple of: 256
    end
    integer
    End of the glyph range (last glyph index).
    Example: 255
    Request example
    
      https://api.maptiler.com/fonts/Roboto Medium,Noto Sans Regular/0-255.pbf?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/x-protobuf
    400

    Invalid glyph range

    OGC API conformance classes

    GET https://api.maptiler.com/ogc/conformance

    Declaration of the implemented conformance classes.

    Request

    You must include an API Key with every API request

    Request example
    
      https://api.maptiler.com/ogc/conformance?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Other
    Other